> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a reaction of a user to a review



## OpenAPI

````yaml /api-reference/openapi.json put /reviews/{review_id}/reactions
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /reviews/{review_id}/reactions:
    put:
      tags:
        - Reviews
      summary: Add a reaction of a user to a review
      operationId: put_review_reactions
      parameters:
        - name: review_id
          in: path
          required: true
          schema:
            type: string
            description: Unique Identifier of a review.
            title: Review Id
          description: Unique Identifier of a review.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewReaction'
              description: Reaction to add to review.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReviewReaction:
      properties:
        user:
          type: integer
          title: User
          description: ID of the user that reacts to the review.
        reaction:
          $ref: '#/components/schemas/Reaction'
          description: The reaction that is added.
      type: object
      required:
        - user
        - reaction
      title: ReviewReaction
      description: Review reaction
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Reaction:
      type: string
      enum:
        - like
        - dislike
      title: Reaction
      description: Types of reactions that can be given to a review.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````